> For the complete documentation index, see [llms.txt](https://docs.p4warehouse.com/v2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.p4warehouse.com/v2/receiving/system-configurations/automation.md).

# Automation

![](/files/siARztFlmkQePVateb1V)

* **Auto Close Received Pos**: whether to close Purchase Orders automatically upon receipt.
* **Generate Back Order On Close**: whether to create a backorder on closing with outstanding quantities.
* **Auto Release Back Order**: whether to automatically release backorders.

{% hint style="info" %}
Notice: Purchase Orders under-received or over-received will not be closed automatically and must be manually closed by the web dispatcher.

Over receiving is allowed on decimal type products like pounds, kilograms, meters, feet, liters and gallons. This is due to the fact this type of product often varies in weight and/or volume.
{% endhint %}

{% hint style="info" %}
Notice: Click 'Save' to implement changes.&#x20;
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.p4warehouse.com/v2/receiving/system-configurations/automation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
